Skip to main content
GET /agents/{agentId}/files Retrieve a list of files associated with a specific agent.

Code Examples

curl --request GET \
  --url 'https://api.tess.im/agents/{agentId}/files' \
  --header 'Authorization: Bearer YOUR_API_KEY'

Headers

ParameterTypeRequiredDescription
x-workspace-idintegerNoID of the workspace. If not provided, the user’s selected workspace will be used.
Note: This field will be required in a future release of the API. It is highly recommended to set it now to ensure compatibility with future updates.

Path Parameters

ParameterTypeRequiredDescription
agentIdstringYesThe ID of the agent

Response

{
"id": 8794,
"files": [
  {
    "id": 73336,
    "object": "file",
    "bytes": 35504128,
    "created_at": "2025-01-05T22:39:57+00:00",
    "filename": "endpoints.pdf",
    "credits": 20.10060847168,
    "status": "completed"
  }
],
"status": "completed"
}